CLK_GET_SYS(9)

NAME
clk_get_sys - get a clock based upon the device name

SYNOPSIS

struct clk * clk_get_sys(const char * dev_id, const char * con_id);

ARGUMENTS

dev_id
    device name

con_id
    connection ID

DESCRIPTION

Returns a struct clk corresponding to the clock producer, or valid IS_ERR condition containing errno. The implementation uses dev_id and con_id to determine the clock consumer, and thereby the clock producer. In contrast to clk_get this function takes the device name instead of the device itself for identification.

Drivers must assume that the clock source is not enabled.

clk_get_sys should not be called from within interrupt context.

COPYRIGHT